package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class FirewallModel {
    private String firewallUuid;
    private String name;
    private String type;
    private String remark;
    private String policyUuid;
    private String status;
    private Date createTime;
    private Date expireTime;
    private String requestId;
    private String tenantUuid;
    private Boolean shared;
    private Boolean adminStateUp;
    private String routerUuid;
    private List<String> routerUuids;
    private String tenantName;
    private String regionId;
    private String operation;
    private List<Long> routerIds;
    private FirewallPolicyModel firewallPolicyModel;

    /**
     * @return the firewallUuid
     */
    public String getFirewallUuid() {
        return firewallUuid;
    }

    /**
     * @param firewallUuid the firewallUuid to set
     */
    public void setFirewallUuid(String firewallUuid) {
        this.firewallUuid = firewallUuid;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the policyUuid
     */
    public String getPolicyUuid() {
        return policyUuid;
    }

    /**
     * @param policyUuid the policyUuid to set
     */
    public void setPolicyUuid(String policyUuid) {
        this.policyUuid = policyUuid;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the createTime
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime the createTime to set
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @return the requestId
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * @param requestId the requestId to set
     */
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    /**
     * @return the tenantUuid
     */
    public String getTenantUuid() {
        return tenantUuid;
    }

    /**
     * @param tenantUuid the tenantUuid to set
     */
    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    /**
     * @return the shared
     */
    public Boolean getShared() {
        return shared;
    }

    /**
     * @param shared the shared to set
     */
    public void setShared(Boolean shared) {
        this.shared = shared;
    }

    /**
     * @return the adminStateUp
     */
    public Boolean getAdminStateUp() {
        return adminStateUp;
    }

    /**
     * @param adminStateUp the adminStateUp to set
     */
    public void setAdminStateUp(Boolean adminStateUp) {
        this.adminStateUp = adminStateUp;
    }

    /**
     * @return the routerUuids
     */
    public List<String> getRouterUuids() {
        return routerUuids;
    }

    /**
     * @param routerUuids the routerUuids to set
     */
    public void setRouterUuids(List<String> routerUuids) {
        this.routerUuids = routerUuids;
    }

    /**
     * @return the routerUuid
     */
    public String getRouterUuid() {
        return routerUuid;
    }

    /**
     * @param routerUuid the routerUuid to set
     */
    public void setRouterUuid(String routerUuid) {
        this.routerUuid = routerUuid;
    }

    public FirewallModel() {
        super();
    }

    public FirewallModel(String firewallUuid, String name, String remark, String policyUuid, String status,
                         Date createTime, String requestId) {
        super();
        this.firewallUuid = firewallUuid;
        this.name = name;
        this.remark = remark;
        this.policyUuid = policyUuid;
        this.status = status;
        this.createTime = createTime;
        this.requestId = requestId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public FirewallPolicyModel getFirewallPolicyModel() {
        return firewallPolicyModel;
    }

    public void setFirewallPolicyModel(FirewallPolicyModel firewallPolicyModel) {
        this.firewallPolicyModel = firewallPolicyModel;
    }

    public List<Long> getRouterIds() {
        return routerIds;
    }

    public void setRouterIds(List<Long> routerIds) {
        this.routerIds = routerIds;
    }
}
